Sign in   |  Join   |  Help

Beolink active - must be SW1.6 I.e. MLGW compatible

rated by 0 users
This post has 0 Replies | 0 Followers

Luke Spadavecchia
Top 500 Contributor
Brighton
Posts 167
OFFLINE
Gold Member
Luke Spadavecchia Posted: Sun, Jan 10 2016 9:22 PM

If anyone has one for sale in the UK I'm after a beolink active with the MLGW compatible software (1.6 I believe) - please IM me if you have one at a reasonable price. I'm not fussed about cosmetic condition as long as it is in working order and has the right software!

many thanks

Luke

Page 1 of 1 (1 items) | RSS
Beoworld Security Certificate

SSL